Cancels an open order.
cURL
curl --request DELETE \ --url https://api.dotprediction.io/v1/api/orders/{id} \ --header 'X-API-Key: <api-key>'
{ "order": { "order_id": "<string>", "platform": "<string>", "market_id": "<string>", "side": "buy", "outcome": "<string>", "type": "limit", "price": 123, "size": 123, "filled_size": 123, "remaining_size": 123, "average_fill_price": 123, "status": "<string>", "time_in_force": "<string>", "client_order_id": "<string>", "fees": { "maker_fee": 123, "taker_fee": 123, "total_fee": 123 }, "created_at": "<string>", "updated_at": "<string>", "expiration": "<string>" }, "cancelled": true, "meta": { "platform": "<string>", "request_time_ms": 123, "idempotent_replay": true } }
API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.
/v1/api/auth/api-keys
The order ID to cancel.
The platform the order was placed on.
kalshi
polymarket
limitless
Credential ID to use.
Order cancellation result.
Show child attributes